# encoding: utf-8
require 'spec_helper'

describe Actions::ShowConfig do
  context '#initialize' do
    it 'has no special requirements' do
      expect {
        Actions::ShowConfig.new
      }.not_to raise_error
    end
  end

  context '#run' do
    it 'gathers all relevant information and prints them to stdout' do
      result = capture(:stdout) do
        Actions::ShowConfig.new.run
      end

      expect(result).to include('user_file')
    end
  end
end
