# encoding: utf-8
RSpec.configure do |c|
  c.include FactoryGirl::Syntax::Methods

  c.before(:suite) do
    FactoryGirl.find_definitions

    begin
      DatabaseCleaner.start
      FactoryGirl.lint
    ensure
      DatabaseCleaner.clean
    end
  end
end
