require 'fedux_org_stdlib/filesystem'

module ProxyTester
  module SpecHelper
    module Filesystem
      include FeduxOrgStdlib::Filesystem

      def root_directory
        ::File.expand_path('../../../', __FILE__)
      end
    end
  end
end

# encoding: utf-8
RSpec.configure do |c|
  c.include ProxyTester::SpecHelper::Filesystem
  c.before(:each) { cleanup_working_directory }
end
