# encoding: utf-8
require 'fedux_org_stdlib/environment'

module ProxyTester
  module SpecHelper
    module Environment
      include FeduxOrgStdlib::Environment

      def mock_stdin(&block)
        old_stdin = $stdin
        $stdin = double('stdin')

        block.call
      ensure
        $stdin = old_stdin
      end
    end
  end
end

World(ProxyTester::SpecHelper::Environment)
