# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'proxy_tester/version'

Gem::Specification.new do |spec|
  spec.name          = 'proxy_tester'
  spec.version       = ProxyTester::VERSION
  spec.authors       = ['Dennis Günnewig']
  spec.email         = ['dg1@vrnetze.de']
  spec.summary       = %q{Test proxies}
  spec.description   = %q{Test proxies to be sure it works}
  spec.license       = 'MIT'
  spec.homepage      = 'https://github.com/dg-vrnetze/proxy_tester'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'activerecord', '~>4.0'
  spec.add_runtime_dependency 'activesupport', '~>4.0'
  spec.add_runtime_dependency 'sqlite3'
  spec.add_runtime_dependency 'crypt_keeper'
  spec.add_runtime_dependency 'rspec', '>= 3.0.0'
  spec.add_runtime_dependency 'fuubar', '>=2.0.0rc'
  spec.add_runtime_dependency 'rspec-legacy_formatters'
  spec.add_runtime_dependency 'thor'
  spec.add_runtime_dependency 'i18n'
  spec.add_runtime_dependency 'rugged'
  spec.add_runtime_dependency 'addressable'
  spec.add_runtime_dependency 'poltergeist'
  spec.add_runtime_dependency 'proxy_pac_rb', '~>0.2.5'
  spec.add_runtime_dependency 'therubyracer'
  spec.add_runtime_dependency 'excon'
  spec.add_runtime_dependency 'highline'
end
