# encoding: utf-8
require 'spec_helper'

describe 'Reference Domain Matcher' do
  it 'checks if a site references a given list of domains' do
    domains = [
      'example.org',
    ]

    use_proxy 'localhost:3128'
    visit('http://example.org')

    expect(page).to reference_domains domains
  end

  it 'checks if a site not references a given list of domains' do
    domains = [
      'asdf',
    ]

    use_proxy 'localhost:3128'
    visit('http://example.org')

    expect(page).not_to reference_domains domains
  end
end
